%global oname org.ops4j.master
Name:          ops4j-master
Version:       4.2.0
Release:       5%{?dist}
Summary:       OPS4J - Master POM
License:       ASL 2.0
URL:           http://team.ops4j.org/wiki/display/ops4j/Open+Participation+Software+for+Java
Source0:       https://github.com/ops4j/org.ops4j.master/archive/master-%{version}.tar.gz
# ops4j-master package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: sonatype-oss-parent
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
Maven parent POM for all OPS4J Maven projects.

%prep
%setup -q -n %{oname}-master-%{version}
%pom_remove_plugin :retrotranslator-maven-plugin
%pom_remove_plugin :versions-maven-plugin

%pom_remove_plugin :maven-checkstyle-plugin

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :asciidoctor-maven-plugin
%pom_remove_plugin :sonar-maven-plugin

%if %{?fedora} > 21
%pom_xpath_set "pom:build/pom:pluginManagement/pom:plugins/pom:plugin[pom:groupId = 'org.jvnet.jaxb2.maven2']/pom:artifactId" maven-jaxb22-plugin
%endif

# org.apache.maven.wagon:wagon-ssh-external
%pom_xpath_remove "pom:build/pom:extensions"

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 4.2.0-1
- update to 4.2.0
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 3.2.0-1
- update to 3.2.0

* Mon Nov 05 2012 gil cattaneo <puntogil@libero.it> 3.1.0-1
- initial rpm
